@import "../shared/scss/color";

header {
  background-image: url("../../assets/images/event1.jpg");
  background-size: 100% 100%;
  background-attachment: fixed;
  width: 100%;
  height: 35vh;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  position: relative;
  .header-filter {
    background-color: black;
    opacity: 0.4;
    width: 100%;
    height: 100%;
  }
  .header-caption {
    position: absolute;
    bottom: 0;
    right: 18px;
    text-align: right;
    padding: 20px;
    h2 {
      font-size: 16px;
      color: white;
    }
  }
}

.body {
  background-color: $background-color;
  width: 100%;
  height: 100%;
  .sidebar {
    width: 23%;
    display: inline-block;
    background-color: $background-color;
    position: relative;
    height: 350px;
    float: right;
    padding: 20px;
    border-radius: 0 0 0 7px;
    .filters {
      padding: 5px 10px;
      margin: 0 auto;
      div {
        display: block;
        width: 90%;
        margin: 0 auto;
        padding: 7px 0;
        position: relative;
        input {
          background-image: url("../../assets/images/angle_down.png");
          background-position: 3% 50%;
          background-size: 12px;
          background-repeat: no-repeat;
          display: block;
          width: 100%;
          border: 1px solid #bbbbbb;
          color: $description-color;
          font-size: 10px;
          font-weight: bold;
          height: 30px;
          border-radius: 7px;
          transition: 1s all;
          padding: 4px 7px 4px 15px;
          &:focus {
            box-shadow: none;
            outline: none;
          }
        }

        .dropdown {
          list-style-type: none;
          padding: 0;
          margin: 0;
          overflow: hidden;
          max-height: 0;
          position: absolute !important;
          top: 37px;
          right: 0;
          background-color: white;
          width: 100%;
          box-shadow: 1px 1px 4px #cccccc;
          transition: 0.2s ease-in-out;
          border-radius: 7px;
          z-index: 999;
          &::-webkit-scrollbar {
            width: 8px;
          }

          &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0);
          }

          &::-webkit-scrollbar-thumb {
            background-color: #aaaaaa;
            border-radius: 40px;
            background-clip: content-box;
          }
          li {
            padding: 10px 7px;
            font-size: 12px;
            font-weight: bold;
            color: $description-color;
            cursor: pointer;
            &:hover {
              background-color: #dddddd;
            }
          }
        }
      }
      .search-btn {
        outline: none;
        border: none;
        width: 100%;
        background-color: inherit;
        padding: 10px 0;
        p {
          width: 90%;
          margin: 0 auto;
          box-shadow: 1px 1px 5px gray;
          text-align: center;
          padding: 7px 14px;
          border-radius: 7px;
          background-color: $aqua-color;
          color: white;
          cursor: pointer;
          transform: scale(1);
          transition: 0.3s all ease-in-out;
          font-size: 14px;
          &:hover {
            transform: scale(1.05);
          }
          span {
            width: 12%;
            height: 30px;
            text-align: center;
            position: relative;
            cursor: pointer;
            transition: 0.3s all;
            border-radius: 5px;
            fa-icon {
              font-size: 11px;
              color: white;
            }
          }
        }
      }

      .search {
        display: flex;
        input {
          width: 100%;
          height: 30px;
          border-radius: 5px;
          border: 1px solid #929292;
          outline: none;
          text-align: right;
          padding: 0 10px;
          font-weight: bold;
          color: $black-color;
          background-image: none;
        }
      }
      .border {
        margin: 0 auto 10px auto;
        border-bottom: 1px solid #777777;
      }
      // .city{}
      // .university{}
    }
  }
  .main {
    width: 77%;
    display: inline-block;
    background-color: $white;
    padding: 20px 0;
    float: left;
    .middle-box {
      width: 90%;
      margin: auto;
      .tab-box {
        margin: 0 auto 20px auto;
        display: flex;
        // justify-content: right;
        .tab {
          // width: 20%;
          padding: 10px 20px;
          border-radius: 0px;
          background-color: $background-color;
          color: $black-color;
          text-align: center;
          font-size: 12px;
          font-weight: bold;
          cursor: pointer;
          transition: 0.2s ease-in-out all;
          margin-left: 20px;
          border-radius: 7px;
        }
      }
      .item-box {
        background-color: $background-color;
        margin: 10px auto 0 auto;
        border-radius: 7px;
        position: relative;
        min-height: 450px;
        padding: 25px 0 80px 0;
        .item {
          width: 50%;
          display: inline-block;
          padding: 10px;
          a {
            text-decoration: none;
          }
        }
        .bottom-pager {
          text-align: center;
          margin: 20px auto 10px auto;
          padding: 10px;
          position: absolute;
          bottom: 0;
          width: 100%;
          span {
            font-size: 12px;
            color: $black-color;
            font-weight: bold;
            fa-icon {
              cursor: pointer;
              padding: 0 10px;
              font-size: 14px;
              color: $black-color;
            }
          }
        }
        .not-found {
          position: absolute;
          top: 50%;
          right: 50%;
          transform: translate(50%, -50%);
          text-align: center;
          width: 100%;
          img {
            width: 100px;
            height: 100px;
            display: block;
            margin: 0 auto;
          }
          p {
            width: 100%;
            display: block;
            color: #999999;
          }
        }
        .list-loader {
          width: 100%;
          height: 100%;
          position: absolute;
          top: 0;
          left: 0;
          background-color: rgba($color: #ffffff, $alpha: 1);
          z-index: 999999;
          transition: 0.5s all;
          border-radius: 7px;
        }
      }
    }
  }
}

.active {
  background-color: $aqua-color !important;
  color: white !important;
}

.show-dropdown {
  display: block !important;
  max-height: 250px !important;
  overflow: auto !important;
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 9999999;
  transition: 0.5s all;
}
